// (c) 2016, SAS Institute Inc.

jQuery.sap.declare("sas.risk.common.library");

jQuery.sap.require("sas.hc.m.library");
jQuery.sap.require("sas.hc.ui.commons.library");
jQuery.sap.require("sas.hc.ui.layout.library");
jQuery.sap.require("sas.hc.ui.table.library");
jQuery.sap.require("sas.hc.ui.unified.library");

jQuery.sap.require("sas.risk.common.utils.CommonFixes");  // apply to all risk.common.ui consumers

sap.ui.getCore().initLibrary({
    name : "sas.risk.common",
    dependencies : [
        "sap.ui.core",
        "sas.hc.m",
        "sas.hc.ui.commons",
        "sas.hc.ui.layout",
        "sas.hc.ui.table",
        "sas.hc.ui.unified"
    ],
    version : "100001.0.1.20180514124600_f0rcmnui2"
});


/*
 * Supports IntelliJ code completion. Each namespace needs to be specified in its own
 * comment block and should have the public annotation defined.
 */

/**
 * @namespace
 * @name sas.risk
 * @public
 */

/**
 * @namespace
 * @name sas.risk.common
 * @public
 */

/**
 * @namespace
 * @name sas.risk.common.utils
 * @public
 */

/**
 * @namespace
 * @name sas.risk.common.panelsview
 * @public
 */

/**
 * @namespace
 * @name sas.risk.common.widgets
 * @public
 */

/**
 * @namespace
 * @name sas.risk.common.msa
 * @public
 */
